<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';
		echo '<div class="'.$diz['post_1'].'"><img src="i/city_large.png" /> <b style="font-size:1.3em;">Магазин</b><b style="font-size:1.3em;float:right;">'.date("H:i",time()).'</b></div>
';
	if(!isset($_GET['action']))
	{
		echo '
		<div class="'.$diz['post_1'].'">
		
		<img src="i/cleaner.png" /> <a href="shop.php?action=cleaner" style="font-weight:bold;color:#99CC00;text-decoration:underline"> Уборщица</a><br />
		<img src="i/c_woman.png" /> <a href="shop.php?action=c_woman" style="font-weight:bold;color:#99CC00;text-decoration:underline"> Горничная</a><br />
		<img src="i/c_man.png" /> <a href="shop.php?action=c_man" style="font-weight:bold;color:#99CC00;text-decoration:underline"> Дворецкий</a><br />
<br/>
		';
		$array = array('Кровати','Бытовая техника','Шкафы','Стулья/кресла','Души/ванны','Развлечения','Джакузи','Техника','Туалеты');
		$array2 = array('bed','bit','cabinet','chair','dush','enter','jac','teh','toilet');
		for($i=0;$i<9;$i++)
		echo '<img src="i/shop_1.png" /> <a href="shop.php?action='.$array2[$i].'" style="font-weight:bold;color:#99CC00;text-decoration:underline"> '.$array[$i].'</a><br />';
		echo '</div>';
	}
	else
	{
	$action = sims_in($_GET['action']);
	switch($action)
	{	
		
		case'bed':
		case'bit':
		case'cabinet':
		case'chair':
		case'dush':
		case'enter':
		case'jac':
		case'teh':
		case'toilet':
		if(isset($_GET['id']))
		{
			$id = abs(intval($_GET['id']));
			$total=mysql_result(mysql_query("SELECT COUNT(*) FROM `sims_item` WHERE `id`='".$id."'"),0);
			
				if($total!=0)
				{
				
				$arr = mysql_fetch_array(mysql_query("SELECT * FROM `sims_item` WHERE `id`='".$id."'"));
				
					if($arr['cost']>$sims_user['money'])
					echo 'У вас не хватает денег для покупки '.$arr['name'];
					else
					{
					if(isset($_POST['submit']))
					{
						$room=abs(intval($_POST['room']));
						if($room==0 || $room>4)
						$room = 1;
						
						switch($room)
						{
						case'1':
						$room = 'guest';
						$rooms = $sims_user['room_1'];
						break;
						case'2':
						$room = 'toilet';
						$rooms = $sims_user['room_2'];
						break;
						case'3':
						$room = 'room';
						$rooms = $sims_user['room_3'];
						break;
						case'4':
						$room = 'kitchen';
						$rooms = $sims_user['room_4'];
						break;
						}
						if(mysql_result(mysql_query("SELECT COUNT(*) FROM `sims_i` WHERE `id_u`='".$user_id."' AND `place`='".$room."'"),0)==$rooms)
						{
						
						echo 'У вас уже максимальное количество вещей в данной комнате! Выберите другую';
						}
						else
						{
							mysql_query("UPDATE `sims_user` SET `money`=`money`-".$arr['cost']." WHERE `id_u`='".$user_id."'");
							mysql_query("INSERT INTO `sims_i`(`id_u`,`id_i`,`name`,`place`,`plus`,`exp`,`time`) VALUES('".$user_id."','".$arr['id']."','".$arr['name']."','".$room."','".$arr['plus']."','".$arr['exp']."','".$arr['time']."')");
						header("Location:house.php");
						exit;
						}
						
					
					}
					echo "<div class='".$diz['post_1']."'>
					Вы покупаете <b>".$arr['name']."</b> за <b>".$arr['cost']."</b>$. У вас <b>".$sims_user['money']."</b>$
					<br/>
					<form method='post' action='shop.php?id=".$arr['id']."&amp;action=".$action."'>
					Выберите комнату<br/>
					<select name='room'>
					<option value='1'>Гостиная</option>
					<option value='2'>Санузел</option>
					<option value='3'>Спальня</option>
					<option value='4'>Кухня</option>
					</select>
					<br/>
					<input type='submit' value='Купить' name='submit' />
					</form></div>";
					}
				sims_ret($diz['ret'],'Продолжить покупки','shop.php?action='.$action);
				}	
		}
		else
		{
		$total=mysql_result(mysql_query("SELECT COUNT(*) FROM `sims_item` WHERE `type`='".$action."'"),0);
		if($total == 0)
		echo 'К сожалению в этом разделе пусто =(';
		else
		{
			$quert=mysql_query("SELECT * FROM `sims_item` WHERE `type`='".$action."' ORDER BY `id` ASC LIMIT ".$start.",5");
			
			while($array=mysql_fetch_array($quert)){
				
				$add1 = '';
				$explode = explode(':',$array['exp']);
				$counts = count($explode);
				$k=0;
				$t=0;
				$o=0;
				$c=0;
				$l=0;
				$te=0;
				$u=0;
				if($counts!=0)
				{
					for($i=0;$i<($counts+1);$i++)
					{
					if($explode[$i]=='culinaria')$k=1;
					if($explode[$i]=='tehnika')$t=1;
					if($explode[$i]=='obayanie')$o=1;
					if($explode[$i]=='culture')$c=1;
					if($explode[$i]=='logika')$l=1;
					if($explode[$i]=='tvorchesto')$te=1;
					if($explode[$i]=='uborka')$u=1;
					}
				
				}
				if($k!=0)$add1 .='<img src="i/skill.png" /> Кулинария ';
				if($t!=0)$add1 .='<img src="i/skill.png" /> Техника ';
				if($o!=0)$add1 .='<img src="i/skill.png" /> Обаяние ';
				if($c!=0)$add1 .='<img src="i/skill.png" /> Культура тела ';
				if($l!=0)$add1 .='<img src="i/skill.png" /> Логика ';
				if($te!=0)$add1 .='<img src="i/skill.png" /> Творчество ';
				if($u!=0)$add1 .='<img src="i/skill.png" /> Уборка ';
				
				$add = '';
				$explode = explode(':',$array['plus']);
				if($explode[1]!=0)$add .='<img src="i/comfort.png" />Питание '.$explode[1];
				if($explode[3]!=0)$add .='<img src="i/comfort.png" />Комфорт '.$explode[3];
				if($explode[5]!=0)$add .='<img src="i/comfort.png" />Нужда '.$explode[5];
				if($explode[7]!=0)$add .='<img src="i/comfort.png" />Бодрость '.$explode[7];
				if($explode[9]!=0)$add .='<img src="i/comfort.png" />Досуг '.$explode[9];
				if($explode[11]!=0)$add .='<img src="i/comfort.png" />Общение '.$explode[11];
				if($explode[13]!=0)$add .='<img src="i/comfort.png" />Гигиена '.$explode[13];
				if($explode[15]!=0)$add .='<img src="i/comfort.png" />Уют '.$explode[15];
				
				echo '<div class="'.$diz['post_1'].'">
				<table cellpadding="0">
				<tr>
				<td>
				<img src="i/b_'.$array['id'].'.png" alt="." /> 
				</td>
				<td>

				 '.$array['name'].'
				<br/>'.$add.'
				 '.$add1.'<br/>
				 <a href="shop.php?id='.$array['id'].'&amp;action='.$action.'">Купить за
				 <img src="i/money.png" alt="." />
				 '.$array['cost'].'</a>
				</td></tr></table></div>';
			}
		
		if ($total > 5)
		echo sims_pagenav('shop.php?action='.$action.'&amp;', $start, $total, 5);
		
		}
		}
		break;
		
		default:
		echo 'Произошла ошибка =(';
		break;
		case'cleaner':
		
		if(isset($_GET['in']))
		{
		$in = sims_in($_GET['in']);
		
		$array = array('3','6','12','24','48','72');
		if(!in_array($in,$array))
		$in = 3;
			
					$array = array('3'=>'3','6'=>'5','12'=>'10','24'=>'15','48'=>'20','72'=>'30');

		$money = $array[$in];
		if($sims_user['credits']<$money)
		echo 'У вас не достаточно кредитов';
		else
		{
			
			mysql_query("UPDATE `sims_user` SET `credits`=`credits`-$money,`ybor_time`='".(time()+60*60*$in)."',`ybor_update`='".time()."' WHERE `id_u`='".$user_id."'");
			header("Location:profile.php");
			exit;
		}
		
		}
		echo "<div class='".$diz['post_1']."'>Уборщица - работница, занимающаяся уборкой помещения.<br/>
		<br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=cleaner&amp;in=3'>Нанять</a> на 3 часа за 3<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=cleaner&amp;in=6'>Нанять</a> на 6 часов за 5<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=cleaner&amp;in=12'>Нанять</a> на 12 часов за 10<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=cleaner&amp;in=24'>Нанять</a> на 24 часа за 15<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=cleaner&amp;in=48'>Нанять</a> на 48 часов за 20<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=cleaner&amp;in=72'>Нанять</a> на 72 часа за 30<img src='i/credit.png' /><br/>
		<br/>
		*Уборщица повышает вашу гигиену каждые 3 минуты на 1 единицу.
		</div>";
		break;
		case'c_woman':
		if(isset($_GET['in']))
		{
		$in = sims_in($_GET['in']);
		
		$array = array('3','6','12','24','48','72');
		if(!in_array($in,$array))
		$in = 3;
			
					$array = array('3'=>'4','6'=>'8','12'=>'11','24'=>'16','48'=>'24','72'=>'35');

		$money = $array[$in];
		if($sims_user['credits']<$money)
		echo 'У вас не достаточно кредитов';
		else
		{
			
			mysql_query("UPDATE `sims_user` SET `credits`=`credits`-$money,`gor_time`='".(time()+60*60*$in)."',`gor_update`='".time()."' WHERE `id_u`='".$user_id."'");
			header("Location:profile.php");
			exit;
		}
		
		}
		echo "<div class='".$diz['post_1']."'>Горничная - женщина, относящаяся к прислуге богатого дома<br/>
		<br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_woman&amp;in=3'>Нанять</a> на 3 часа за 4<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_woman&amp;in=6'>Нанять</a> на 6 часов за 8<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_woman&amp;in=12'>Нанять</a> на 12 часов за 11<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_woman&amp;in=24'>Нанять</a> на 24 часа за 16<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_woman&amp;in=48'>Нанять</a> на 48 часов за 24<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_woman&amp;in=72'>Нанять</a> на 72 часа за 35<img src='i/credit.png' /><br/>
		<br/>
		*Горничная повышает вашу гигиену и питание каждые 3 минуты на 1 единицу.
		</div>";
		break;	
		case'c_man':
			if(isset($_GET['in']))
		{
		$in = sims_in($_GET['in']);
		
		$array = array('3','6','12','24','48','72');
		if(!in_array($in,$array))
		$in = 3;
			
					$array = array('3'=>'10','6'=>'16','12'=>'22','24'=>'32','48'=>'48','72'=>'70');

		$money = $array[$in];
		if($sims_user['credits']<$money)
		echo 'У вас не достаточно кредитов';
		else
		{
			
			mysql_query("UPDATE `sims_user` SET `credits`=`credits`-$money,`dvor_time`='".(time()+60*60*$in)."',`dvor_update`='".time()."' WHERE `id_u`='".$user_id."'");
			header("Location:profile.php");
			exit;
		}
		
		}
		echo "<div class='".$diz['post_1']."'>Дворецкий - мужчина, относящийся к прислуге богатого дома.<br/>
		<br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_man&amp;in=3'>Нанять</a> на 3 часа за 10<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_man&amp;in=6'>Нанять</a> на 6 часов за 16<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_man&amp;in=12'>Нанять</a> на 12 часов за 22<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_man&amp;in=24'>Нанять</a> на 24 часа за 32<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_man&amp;in=48'>Нанять</a> на 48 часов за 48<img src='i/credit.png' /><br/>
		<a style='font-weight:bold;color:#99CC00;text-decoration:underline' href='shop.php?action=c_man&amp;in=72'>Нанять</a> на 72 часа за 70<img src='i/credit.png' /><br/>
		<br/>
		*Дворецкий повышает вашу гигиену, питание, досуг и общение каждые 3 минуты на 1 единицу.
		</div>";
		break;
		
	}
	
	
	sims_ret($diz['ret'],'Магазин','shop.php');
	}

sims_ret($diz['ret'],'Город','city.php');
sims_ret($diz['ret'],'Назад','index.php');
	$sims->sims_life();
	include_once '../sys/inc/tfoot.php';
?>
